Skip to main content
Announcements
See what Drew Clarke has to say about the Qlik Talend Cloud launch! READ THE BLOG
cancel
Showing results for 
Search instead for 
Did you mean: 
bhsharm5
Contributor III
Contributor III

SAP Connector Issue

Hi,

I am using Qlik SAP Connector (7.0.3) to fetch data from SAP BW system. The connector has stopped working recently with the attached error while trying to fetch data from BEx Query.

"Could not load file or assembly 'sapnco_utils.dll' or one of its dependencies. is not a valid Win32 application. (Exception from HRESULT: 0x800700C1)"

The connector has stopped working after we installed ServiceNow ODBC drivers in the server (not sure if it has caused something, or it's just a coincidence).

Can anyone please help!

Regards,

Bhaskar

1 Solution

Accepted Solutions
Tomas_Sommergyll
Employee
Employee

Hi, 

The Qlik SAP Connectors using sapnco.dll and sapnco_utils.dll need to have the runtime library ("Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update") installed.

The runtime library can be downloaded from the Microsoft web site. 

(The runtime library will be included in the next release of the Qlik SAP Connectors. For ver 8.0.1, it needs to be downloaded manually)

Regards,

Tomas

View solution in original post

6 Replies
Flo_Kopp
Partner - Contributor II
Partner - Contributor II

Hey there,

did you manage to fix it? I have the same issue here on a brand new Server right after installing the SAP Connector (8.0.1)

Tomas_Sommergyll
Employee
Employee

Hi, 

The Qlik SAP Connectors using sapnco.dll and sapnco_utils.dll need to have the runtime library ("Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update") installed.

The runtime library can be downloaded from the Microsoft web site. 

(The runtime library will be included in the next release of the Qlik SAP Connectors. For ver 8.0.1, it needs to be downloaded manually)

Regards,

Tomas

Flo_Kopp
Partner - Contributor II
Partner - Contributor II

thanks a lot. that fixed my issue!

Emmanuelle__Bustos
Partner - Specialist
Partner - Specialist

Tahnk you!

iliyansomlev
Partner - Creator II
Partner - Creator II

Thank you, this solved the issue for me, as well.

Tomas_Sommergyll
Employee
Employee

Hi,

In my previous post, I mentioned that the runtime libraries would be included in the next release of the Qlik SAP Connectors package.

However, starting from version 8.0.2, the runtime libraries i.e. sapnco.dll, sapnco_utils.dll as well as the SAP NW RFC SDK files need to be downloaded from the SAP Support Portal with an S-user ID, see the Qlik online help here ("Downloading and installing the SAP Libraries" - section):
https://help.qlik.com/en-US/connectors/Subsystems/SAP_Connectors_Help/Content/Connectors_SAP/Install...

Regards,
Tomas